package com.hp.user.service.controller;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import com.hp.user.client.entity.ElectricianVO;
import com.hp.user.client.entity.Result;
import com.hp.user.client.service.ElectricianService;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;

@Api(tags="电工")
@RestController
@RequestMapping("/electrician")
public class ElectricianController {
	
	@Autowired
	private ElectricianService electricianService;
	
	/**
	 * 添加电工
	 * @param electrician
	 * @return
	 */
	@RequestMapping("/createElectrician")
    @ApiOperation(value = "添加电工", notes = "添加电工", httpMethod = "POST")
	public Result createElectrician(@RequestBody ElectricianVO electrician) {
		return electricianService.createElectrician(electrician);
	}

}
