package com.hp.user.service.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 电工证书关联表
 * </p>
 *
 * @author yeqid
 * @since 2020-12-02
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("r_certificate")
public class Certificate implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 证书id
     */
    private String certificateId;

    /**
     * 证书oss
     */
    private String certificateUrl;

    /**
     * 电工id
     */
    private String electricianId;

    /**
     * 字典表id
     */
    private String dictionariesId;


}
